commit:     f71992f304dd2dc178bd633057ff5481212cf8ee
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 23 16:43:42 2022 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Fri Dec 23 16:43:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f71992f3

sci-chemistry/votca: version bump

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 sci-chemistry/votca/Manifest            |  1 +
 sci-chemistry/votca/votca-2022.1.ebuild | 80 +++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/sci-chemistry/votca/Manifest b/sci-chemistry/votca/Manifest
index 84be7c9f6881..a1f13dfe694f 100644
--- a/sci-chemistry/votca/Manifest
+++ b/sci-chemistry/votca/Manifest
@@ -1 +1,2 @@
+DIST votca-2022.1.tar.gz 61692029 BLAKE2B 
c58023098f596d7c6f301e94883df3e442761b8c1009823ef5a07e788fabb2a0fa572326e0d614f8102104ef5dcec89505da1c911bb703126c123d2a25a2031e
 SHA512 
dda5cbf1835440abd1b0b511275e10e5facfa9f133062ae082cca4f5654e4af0be0b574b87c70004c0d07920519927bac5620b89ce073de9985bdf792f0dd21a
 DIST votca-2022.tar.gz 61688862 BLAKE2B 
a6a8d1c34e2cd992d032730b2669c9ac5489b988fc334f730eaf1a40b275cc2fad8b24f03419510fe9fee7b0ad0bedf43f9b22b44ca1ae0178b16c9b255da53c
 SHA512 
ea5b7405872a2c0c8d6b4b86148a605b5e83207f1953f0b7393dabbb106ac785c50b45462f6271fbfad04c0246704a92199943acc65eb30d7f1a0a6d6ee4ab83

diff --git a/sci-chemistry/votca/votca-2022.1.ebuild 
b/sci-chemistry/votca/votca-2022.1.ebuild
new file mode 100644
index 000000000000..0962e065f91d
--- /dev/null
+++ b/sci-chemistry/votca/votca-2022.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit bash-completion-r1 cmake python-single-r1
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/votca/votca.git";
+else
+       if [[ ${PV} = *_rc[1-9] ]]; then
+               MY_PV="${PV%%_rc*}-rc.${PV##*_rc}"
+       else
+               MY_PV="${PV}"
+       fi
+       SRC_URI="https://github.com/votca/votca/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86 ~amd64-linux"
+       S="${WORKDIR}/votca-${MY_PV}"
+fi
+
+DESCRIPTION="Versatile Object-oriented Toolkit for Coarse-graining 
Applications"
+HOMEPAGE="https://www.votca.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+gromacs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !sci-libs/votca-tools
+       !sci-chemistry/votca-csg
+       !sci-chemistry/votca-xtp
+       ${PYTHON_DEPS}
+       app-shells/bash:*
+       >=dev-cpp/eigen-3.3
+       dev-libs/boost:=
+       dev-libs/expat
+       sci-libs/fftw:3.0=
+       dev-lang/perl
+       gromacs? ( sci-chemistry/gromacs:=[gmxapi-legacy(+)] )
+       sci-libs/hdf5[cxx]
+       sci-libs/libxc
+       sci-libs/libint:2
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( README.rst NOTICE.rst CHANGELOG.rst )
+
+src_prepare() {
+       # espressopp was removed from gentoo
+       rm -r ./csg-tutorials/spce/ibi_espressopp || die
+       python_fix_shebang .
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_TESTING=$(usex test)
+               -DCMAKE_DISABLE_FIND_PACKAGE_GROMACS=$(usex !gromacs)
+               -DBUILD_CSGAPPS=ON
+               -DINSTALL_RC_FILES=OFF
+               -DCMAKE_DISABLE_FIND_PACKAGE_MKL=ON
+       )
+       cmake_src_configure
+}
+
+pkg_postinst() {
+       einfo
+       einfo "Please read and cite:"
+       einfo "VOTCA-XTP, J. Chem. Theo. Comp. 14, 6353 (2018)"
+       einfo "https://doi.org/10.1021/acs.jctc.8b00617";
+       einfo
+       einfo "VOTCA, J. Chem. Theory Comput. 5, 3211 (2009). "
+       einfo "https://dx.doi.org/10.1021/ct900369w";
+       einfo
+}

Reply via email to